<?xml version="1.0" encoding="utf-8"?>
<linkbase xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://www.xbrl.org/2003/linkbase">
  <labelLink xlink:role="http://www.xbrl.org/2003/role/link" xlink:type="extended" xmlns:xlink="http://www.w3.org/1999/xlink">
    <loc xlink:type="locator" xlink:href="pzcussonsplc-2023-05-31.xsd#pzcussonsplc_DescriptionOfAccountingPolicyForOperatingProfit" xlink:label="pzcussonsplc_DescriptionOfAccountingPolicyForOperatingProfit" />
    <loc xlink:type="locator" xlink:href="pzcussonsplc-2023-05-31.xsd#pzcussonsplc_DescriptionOfAccountingPolicyForConsiderationOfClimateChange" xlink:label="pzcussonsplc_DescriptionOfAccountingPolicyForConsiderationOfClimateChange" />
    <loc xlink:type="locator" xlink:href="pzcussonsplc-2023-05-31.xsd#pzcussonsplc_DescriptionOfAccountingPolicyForAdjustingItems" xlink:label="pzcussonsplc_DescriptionOfAccountingPolicyForAdjustingItems" />
    <loc xlink:type="locator" xlink:href="pzcussonsplc-2023-05-31.xsd#pzcussonsplc_DisclosureOfAdjustingItems" xlink:label="pzcussonsplc_DisclosureOfAdjustingItems" />
    <labelArc xlink:type="arc" xlink:from="pzcussonsplc_DescriptionOfAccountingPolicyForOperatingProfit" xlink:to="label_pzcussonsplc_pzcussonsplcDescriptionOfAccountingPolicyForOperatingProfit_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="pzcussonsplc_DescriptionOfAccountingPolicyForAdjustingItems" xlink:to="label_pzcussonsplc_pzcussonsplcDescriptionOfAccountingPolicyForAdjustingItems_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="pzcussonsplc_DescriptionOfAccountingPolicyForConsiderationOfClimateChange" xlink:to="label_pzcussonsplc_pzcussonsplcDescriptionOfAccountingPolicyForConsiderationOfClimateChange_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="pzcussonsplc_DisclosureOfAdjustingItems" xlink:to="label_pzcussonsplc_pzcussonsplcDisclosureOfAdjustingItems_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <label xlink:label="label_pzcussonsplc_pzcussonsplcDescriptionOfAccountingPolicyForOperatingProfit_Standard" id="pzcussonsplc_pzcussonsplcDescriptionOfAccountingPolicyForOperatingProfit_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Description of accounting policy for operating profit</label>
    <label xlink:label="label_pzcussonsplc_pzcussonsplcDescriptionOfAccountingPolicyForAdjustingItems_Standard" id="pzcussonsplc_pzcussonsplcDescriptionOfAccountingPolicyForAdjustingItems_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Description of accounting policy for adjusting items</label>
    <label xlink:label="label_pzcussonsplc_pzcussonsplcDescriptionOfAccountingPolicyForConsiderationOfClimateChange_Standard" id="pzcussonsplc_pzcussonsplcDescriptionOfAccountingPolicyForConsiderationOfClimateChange_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Description of accounting policy for consideration of climate change</label>
    <label xlink:label="label_pzcussonsplc_pzcussonsplcDisclosureOfAdjustingItems_Standard" id="pzcussonsplc_pzcussonsplcDisclosureOfAdjustingItems_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Disclosure of adjusting items</label>
    <loc xlink:type="locator" xlink:href="pzcussonsplc-2023-05-31.xsd#pzcussonsplc_ProfitOrLossTable" xlink:label="pzcussonsplc_ProfitOrLossTable" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition" xlink:label="ifrs-full_CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition" />
    <loc xlink:type="locator" xlink:href="pzcussonsplc-2023-05-31.xsd#pzcussonsplc_InvestmentIncomeClassifiedAsInvestingActivities" xlink:label="pzcussonsplc_InvestmentIncomeClassifiedAsInvestingActivities" />
    <loc xlink:type="locator" xlink:href="pzcussonsplc-2023-05-31.xsd#pzcussonsplc_ReclassificationOfReservesOnDisposals" xlink:label="pzcussonsplc_ReclassificationOfReservesOnDisposals" />
    <loc xlink:type="locator" xlink:href="pzcussonsplc-2023-05-31.xsd#pzcussonsplc_TotalMember" xlink:label="pzcussonsplc_TotalMember" />
    <loc xlink:type="locator" xlink:href="pzcussonsplc-2023-05-31.xsd#pzcussonsplc_ProfitOrLossLineItems" xlink:label="pzcussonsplc_ProfitOrLossLineItems" />
    <loc xlink:type="locator" xlink:href="pzcussonsplc-2023-05-31.xsd#pzcussonsplc_ConsolidatedIncomeStatementAxis" xlink:label="pzcussonsplc_ConsolidatedIncomeStatementAxis" />
    <loc xlink:type="locator" xlink:href="pzcussonsplc-2023-05-31.xsd#pzcussonsplc_SellingAndDistributionCosts" xlink:label="pzcussonsplc_SellingAndDistributionCosts" />
    <loc xlink:type="locator" xlink:href="pzcussonsplc-2023-05-31.xsd#pzcussonsplc_FinancingFeesPaidOnCommittedCreditFacilityClassifiedAsFinancingActivities" xlink:label="pzcussonsplc_FinancingFeesPaidOnCommittedCreditFacilityClassifiedAsFinancingActivities" />
    <loc xlink:type="locator" xlink:href="pzcussonsplc-2023-05-31.xsd#pzcussonsplc_BusinessPerformanceExcludingAdjustingItemsMember" xlink:label="pzcussonsplc_BusinessPerformanceExcludingAdjustingItemsMember" />
    <loc xlink:type="locator" xlink:href="pzcussonsplc-2023-05-31.xsd#pzcussonsplc_NetAdjustingItemsMember" xlink:label="pzcussonsplc_NetAdjustingItemsMember" />
    <labelArc xlink:type="arc" xlink:from="pzcussonsplc_ConsolidatedIncomeStatementAxis" xlink:to="label_pzcussonsplc_ConsolidatedIncomeStatementAxis" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="pzcussonsplc_BusinessPerformanceExcludingAdjustingItemsMember" xlink:to="label_pzcussonsplc_BusinessPerformanceExcludingAdjustingItemsMember" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="pzcussonsplc_NetAdjustingItemsMember" xlink:to="label_pzcussonsplc_NetAdjustingItemsMember" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="pzcussonsplc_TotalMember" xlink:to="label_pzcussonsplc_TotalMember" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="pzcussonsplc_ProfitOrLossTable" xlink:to="label_pzcussonsplc_ProfitOrLossTable" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="pzcussonsplc_ProfitOrLossLineItems" xlink:to="label_ProfitOrLossLineItems" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="pzcussonsplc_SellingAndDistributionCosts" xlink:to="label_pzcussonsplc_pzcussonsplcSellingAndDistributionCosts_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="pzcussonsplc_ReclassificationOfReservesOnDisposals" xlink:to="label_pzcussonsplc_pzcussonsplcReclassificationOfReservesOnDisposals_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="pzcussonsplc_InvestmentIncomeClassifiedAsInvestingActivities" xlink:to="label_pzcussonsplc_pzcussonsplcInvestmentIncomeClassifiedAsInvestingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="pzcussonsplc_FinancingFeesPaidOnCommittedCreditFacilityClassifiedAsFinancingActivities" xlink:to="label_pzcussonsplc_pzcussonsplcFinancingFeesPaidOnCommittedCreditFacilityClassifiedAsFinancingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition" xlink:to="label_pzcussonsplc_ifrs-fullCashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition_PeriodStart" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition" xlink:to="label_pzcussonsplc_ifrs-fullCashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition_PeriodEnd" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <label xlink:label="label_pzcussonsplc_ConsolidatedIncomeStatementAxis" id="pzcussonsplc_ConsolidatedIncomeStatementAxis" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Consolidated income statement [axis]</label>
    <label xlink:label="label_pzcussonsplc_BusinessPerformanceExcludingAdjustingItemsMember" id="pzcussonsplc_BusinessPerformanceExcludingAdjustingItemsMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Business performance excluding adjusting items [member]</label>
    <label xlink:label="label_pzcussonsplc_NetAdjustingItemsMember" id="pzcussonsplc_NetAdjustingItemsMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Net adjusting items [member]</label>
    <label xlink:label="label_pzcussonsplc_TotalMember" id="pzcussonsplc_TotalMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Total [member]</label>
    <label xlink:label="label_pzcussonsplc_ProfitOrLossTable" id="pzcussonsplc_ProfitOrLossTable" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Profit or loss [table]</label>
    <label xlink:label="label_ProfitOrLossLineItems" id="ProfitOrLossLineItems" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Profit or loss [line items]</label>
    <label xlink:label="label_pzcussonsplc_pzcussonsplcSellingAndDistributionCosts_Standard" id="pzcussonsplc_pzcussonsplcSellingAndDistributionCosts_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Selling and distribution costs</label>
    <label xlink:label="label_pzcussonsplc_pzcussonsplcReclassificationOfReservesOnDisposals_Standard" id="pzcussonsplc_pzcussonsplcReclassificationOfReservesOnDisposals_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Reclassification of reserves on disposals</label>
    <label xlink:label="label_pzcussonsplc_pzcussonsplcInvestmentIncomeClassifiedAsInvestingActivities_Standard" id="pzcussonsplc_pzcussonsplcInvestmentIncomeClassifiedAsInvestingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Investment income classified as investing activitiee</label>
    <label xlink:label="label_pzcussonsplc_pzcussonsplcFinancingFeesPaidOnCommittedCreditFacilityClassifiedAsFinancingActivities_Standard" id="pzcussonsplc_pzcussonsplcFinancingFeesPaidOnCommittedCreditFacilityClassifiedAsFinancingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Financing fees paid on committed credit facility classified as financing activities</label>
    <label xlink:label="label_pzcussonsplc_ifrs-fullCashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition_PeriodStart" id="pzcussonsplc_ifrs-fullCashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition_PeriodStart" xlink:role="http://www.xbrl.org/2003/role/periodStartLabel" xlink:type="resource" xml:lang="en">Cash and cash equivalents at the beginning of the year</label>
    <label xlink:label="label_pzcussonsplc_ifrs-fullCashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition_PeriodEnd" id="pzcussonsplc_ifrs-fullCashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition_PeriodEnd" xlink:role="http://www.xbrl.org/2003/role/periodEndLabel" xlink:type="resource" xml:lang="en">Cash and cash equivalents at the end of the year</label>
  </labelLink>
</linkbase>